import { RPCError } from '../error';

export abstract class RPCClientCodec {
  abstract request(method: string, args: any[], id: number): any;
  abstract response(res: any): RPCClientResponseCodec;
}

export abstract class RPCClientResponseCodec {
  abstract id(): number | undefined;
  abstract error(): RPCError | undefined;
  abstract result(): any | undefined;

  abstract isNotification(): boolean;
  abstract notification(): RPCClientNotificationCodec | undefined;
}

export abstract class RPCClientNotificationCodec {
  public abstract method(): string;
  public abstract params(): any | undefined;
}
