import { Component, OnInit, AfterContentInit } from '@angular/core';
import { MatCheckboxChange } from '@angular/material';
import { FormGroup } from '@angular/forms';
import { Store, select } from '@ngrx/store';
import { RPCError } from 'packages/core/rpc/error';
import * as DiscoverySettingStore from '../../store/setting';
import { DiscoveryStartInfo } from '../../model';

@Component({
  selector: 'of-setting',
  templateUrl: './setting.component.html',
  styleUrls: ['./setting.component.scss']
})
export class SettingComponent implements OnInit, AfterContentInit {

  private cidr;
  // private settingForm: FormGroup;

  serviceItems = [
    { name: 'MySQL' },
    { name: 'Redis' },
    { name: 'Tomcat' },
    { name: 'Nginx' },
  ];
  constructor(
    private store: Store<DiscoverySettingStore.State>
  ) {
  }

  ngOnInit() {
  }

  ngAfterContentInit() {
    this.cidr = '192.168.1.0/24';
  }

  discovery() {
    const startInfo: DiscoveryStartInfo = {
      startIp: '1111',
      endIP: '11111',
    };
    this.store.dispatch(new DiscoverySettingStore.Setting(startInfo));
  }
}
