import { Injectable } from '@angular/core';
import { Observable } from 'rxjs/Observable';

import 'rxjs/add/operator/map';

import { RPCClient } from 'packages/core/rpc/client/RPCClient';

import { Infra } from '../model';
import { Page, PageParams } from '../../../app/commons/model';
import { Domain } from '../../domain/model';
import { Probe } from '../../probe/model';

@Injectable()
export class InfraService {

  public constructor(
    private rpcClient: RPCClient,
  ) {

  }

  public readAllByDomain(domain: Domain, pageParams: PageParams): Observable<Page> {
    return this.rpcClient.call('InfraService.readAllByDomain', domain, pageParams);
  }

  public readAllByProbe(probe: Probe, pageParams: PageParams): Observable<Page> {
    return this.rpcClient.call('InfraService.readAllByProbe', probe, pageParams);
  }
}
