import { Injectable } from '@angular/core';
import { Observable } from 'rxjs/Observable';

import 'rxjs/add/operator/map';

import { RPCClient } from 'packages/core/rpc/client/RPCClient';

import { Domain } from 'packages/domain/model';

import { NoAuthProbe } from '../model';


@Injectable()
export class NoAuthProbeService {

  public constructor(
    private rpcClient: RPCClient,
  ) {

  }

  public readAllByDomain(domain: Domain): Observable<NoAuthProbe[]> {
    return this.rpcClient.call<NoAuthProbe[]>('NoAuthProbeService.readAllByDomain', domain);
  }

  public acceptNoAuthProbe(noAuthProbe: NoAuthProbe): Observable<NoAuthProbe[]> {
    return this.rpcClient.call<NoAuthProbe[]>('NoAuthProbeService.acceptNoAuthProbe', noAuthProbe);
  }

  public denyNoauthProbe(noAuthProbe: NoAuthProbe): Observable<NoAuthProbe[]> {
    return this.rpcClient.call<NoAuthProbe[]>('NoAuthProbeService.denyNoauthProbe', noAuthProbe);
  }
}
