import { Injectable } from '@angular/core';
import { Observable } from 'rxjs/Observable';

import 'rxjs/add/operator/map';

import { RPCClient } from 'packages/core/rpc/client/RPCClient';

import { Notification } from '../model';
import { Member } from '../../member/model';
import { PageParams, Page } from 'app/commons/model';

@Injectable()
export class NotificationService {

  public constructor(
    private rpcClient: RPCClient,
  ) {

  }

  public readAllByMember(member: Member, pageParams: PageParams): Observable<Page> {
    return this.rpcClient.call('NotificationService.readAllByMember', member, pageParams);
  }

  public markAllAsRead(member: Member, pageParams: PageParams): Observable<Page> {
    return this.rpcClient.call('NotificationService.markAllAsRead',  member, pageParams);
  }

  public markAsRead(notification: Notification): Observable<Notification> {
    return this.rpcClient.call('NotificationService.markAsRead', notification);
  }

}
